<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/ForStatement.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::ForStatement</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class ForStatement

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Lists.hh.html" target="detail">../Synopsis/PTree/Lists.hh</a></div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mForStatement" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line294" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="ForStatement-inheritance" src="ForStatement-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ForStatement-inheritance_map" />
<map name="ForStatement-inheritance_map"><area alt="Scopes/Synopsis/PTree/StatementT.html" href="StatementT.html" shape="rect" coords="5, 7, 389, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="ForStatement_lNode_S_cNode_S_r">ForStatement</a>(<a href="Node.html" >Node</a>* <span class="variable">p</span>, <a href="Node.html" >Node</a>* <span class="variable">q</span>)  </div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mForStatement_mForStatement_lNode_S_cNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line297" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:48 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
